/* Note: Uses Payments tables which is not part of Northwind 
as supplied.  See separate .SQL file to create it */

SELECT
  SUM(D.UnitPrice*Quantity) AS Invoiced,
  CONVERT(MONEY,NULL) AS Paid,
  DATEPART(yy,ShippedDate)*100+DATEPART(mm,ShippedDate) AS Date
FROM
  Orders O
  JOIN [Order Details] D ON D.OrderID=O.OrderID
GROUP BY
  DATEPART(yy,ShippedDate)*100+DATEPART(mm,ShippedDate) 
UNION ALL SELECT
  NULL,
  SUM(Amount),
  DATEPART(yy,PaidDate)*100+DATEPART(mm,PaidDate)
FROM
  Payments
GROUP BY
  DATEPART(yy,PaidDate)*100+DATEPART(mm,PaidDate) 
ORDER BY
  3  